<?php
/**
 * @package		plg_easyblogtoolbar
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once( JPATH_ROOT . DS . 'components' . DS . 'com_community' . DS . 'libraries' . DS . 'core.php');

if(!class_exists('plgCommunityBillingToolbar'))
{
	class plgCommunityBillingToolbar extends CApplications
	{
		var $name 		= "Billing Toolbar";
		var $_name		= 'billingtoolbar';
		var $_path		= '';
		var $_user		= '';
		var $_my		= '';
	
	    function plgCommunityBillingToolbar(& $subject, $config)
	    {
			$this->_path	= JPATH_ROOT . DS . 'components' . DS . 'com_billing';
			parent::__construct($subject, $config);
	    }
	    
	    function onSystemStart()
	    {
			jimport( 'joomla.plugin.plugin' );
	    	JPlugin::loadLanguage( 'plg_billingtoolbar', JPATH_SITE );
			JPlugin::loadLanguage( 'plg_billingtoolbar', JPATH_ADMINISTRATOR );
			$lang =& JFactory::getLanguage();
			$lang->load('plg_billingtoolbar', JPATH_SITE);
			$lang->load('plg_billingtoolbar', JPATH_ADMINISTRATOR);
	    	
	    	$my				= CFactory::getUser();
	    	$toolbar		= CFactory::getToolbar();

	        // JomSocial Toolbar group - Billing
	        $url	= 'index.php?option=com_billing&view=account';
			$toolbar->addGroup('BILLING', JText::_('PLG_BILLING_TOOLBAR_BILLING'), $url);

			// Add any additional toolbars
			$url	= 'index.php?option=com_billing&view=account';
			$toolbar->addItem('BILLING', 'BALANCE', JText::_('PLG_BILLING_TOOLBAR_BALANCE'), $url);

			$url	= 'index.php?option=com_billing&view=pay';
			$toolbar->addItem('BILLING', 'ADDMONEY', JText::_('PLG_BILLING_TOOLBAR_ADDMONEY'), $url);

			$this->_user = null;
	    }	
	}	
}